Page 7 of 14

Re: SpringLobby 0.200 released!

Posted: 28 Sep 2014, 22:34
by albator
abma wrote:
CMake Error at CMakeLists.txt:3 (INCLUDE):

https://github.com/springlobby/springlo ... sts.txt#L3

uhm... did you edit CMakeLists.txt?
nope

Is not it jsut possible to update the version from the repo ?

Re: SpringLobby 0.200 released!

Posted: 29 Sep 2014, 00:43
by abma
https://github.com/springlobby/springlo ... g_from_Git

for some reason your repo isn't the same as the downloaded tarball, the error message makes no sense. = please delete what you got and start from scratch with the instructions "Building from Git"

(this problem is continued here: http://springrts.com/phpbb/viewtopic.php?f=11&t=32573 )

Re: SpringLobby 0.201 released!

Posted: 04 Oct 2014, 20:42
by dust
http://www.playdeb.net/app/SpringLobby

in ubuntu repo springlobby is old... please can you update the info where u refer at ubuntu install to the playdeb repo?

Re: SpringLobby 0.201 released!

Posted: 05 Oct 2014, 17:58
by albator
I just notice what I belive is a bug:


When launching the new 0.201 SL, the maps are downloaded here:

Code: Select all

~/.spring/maps/
While, when opening the data dir, it is done here.

Code: Select all

~/.config/spring
and of course there is a map folder as well (from previous spring). The question thus is which dir shoud be the default one, and where to put the config file to avoid the already discuss config problems...

Re: SpringLobby 0.201 released!

Posted: 05 Oct 2014, 18:02
by albator
I noticed SL complains about a missing lib under linux (mint17 x64), evne you can compile and launch it

libdumb.so.1

Installing libdumb1 removed the error message.

Re: SpringLobby 0.201 released!

Posted: 05 Oct 2014, 18:03
by albator
Finnally, some error msg I got, but that does not seems to affact anything:
(springlobby:15003): Gtk-CRITICAL **: IA__gtk_widget_get_direction: assertion 'GTK_IS_WIDGET (widget)' failed

Re: SpringLobby 0.201 released!

Posted: 05 Oct 2014, 18:27
by abma
albator wrote:libdumb.so.1
hu? springlobby doesn't directly use this lib. i guess wxwidgets (or openal or some other direct dependant lib) uses it.

albator wrote:When launching the new 0.201 SL, the maps are downloaded here:

Code:
~/.spring/maps/
this is fine as long as spring 91.0 is used (imo). if you want to change it now, just change the downloaddir setting in ~/.springlobby/springlobby.conf.

about playdeb, atm i prefer the ppa, i'll try to update it, but will take a while as i don't have permissions to do so and never made a .deb.

Re: SpringLobby 0.201 released!

Posted: 05 Oct 2014, 21:05
by MetalSucker
@abma, you can use 'checkinstall' for a quick'n'dirty way to do it, I use it to create packages from source code I get from the web since it allows for easy uninstall. It even supports dependencies. It's times like these that Gentoo's way is superior to other package managers...

Here's my .deb, built on 64 bit Ubuntu 14.04.1 LTS, Trusty Tahr, I'm sure it's not perfect - and it might break your system, give you nightmares and all that, I'm not responsible for anyone using it.

springlobby_0.201-1_amd64.deb

dpkg - i springlobby_0.201-1_amd64.deb


Warning: using unsigned binaries from random internet strangers is unwise.

Re: SpringLobby 0.201 released!

Posted: 18 Oct 2014, 17:03
by dust
please can you add the info for ubuntu users that they need only add the http://www.playdeb.net repo and they get the newest springlobby version.

http://www.playdeb.net/game/SpringLobby

seems a lot of users use the old outdated one from the repo and have problems with that, to download the newer spring engine and mod versions.

Re: SpringLobby 0.201 released!

Posted: 22 Oct 2014, 01:32
by abma
@dust:

can you please update the playdeb package of springlobby so it doesn't depend on spring?

http://springrts.com/phpbb/viewtopic.php?f=20&t=32666

Re: SpringLobby 0.201 released!

Posted: 22 Oct 2014, 23:17
by NTG
abma wrote:can you please update the playdeb package of springlobby so it doesn't depend on spring?
Such update would be great and solve many issues... and well, SpringLobby doesn't need Spring engine installed in system since it can download proper engine when needed :)

@abma: thanks for posting it - I need to familiarize myself with forums - I haven't visited them for quite a long time :)

[Edit]
About link pointed by abma - basically SL is using /usr/lib/spring/ binaries ignoring ~/.spring/engines/$version/ if both points to the same version of Spring binaries... after updating configuration so it points to local (not system) binaries it works until restart... springlobby.conf points updated directories but SL ignores it. Problem is annoying because binaries for SL (Ubuntu repository, spring:ppa, GetDeb) requires local installation of Spring... and in spring:ppa Spring binaries doesn't sync with SPADS hosts.
More details as abma pointed: http://springrts.com/phpbb/viewtopic.php?f=20&t=32666 .

Re: SpringLobby 0.210 released!

Posted: 02 Feb 2015, 02:02
by abma
released springlobby 0.210! (0.202 - 0.208 was skipped due build-errors.)


ChangeLog

Re: SpringLobby 0.210 released!

Posted: 02 Feb 2015, 14:02
by Floris
'Filter' now broke, is just empty when enabled

Re: SpringLobby 0.210 released!

Posted: 02 Feb 2015, 14:04
by abma
very likely filter-config got reset, just uncheck all checkboxes to see games again (and adjust to your needs)

Re: SpringLobby 0.210 released!

Posted: 02 Feb 2015, 14:09
by Floris
yes this did work. But now the checkbox mean the inverse of it was before?
before it was inclusive, now its exclusive

Re: SpringLobby 0.210 released!

Posted: 02 Feb 2015, 14:27
by abma
atm checkboxes are mostly mutal exclusive. as i usally don't use the filter:


what do you except / what do you want to filter here? which games do you want to see/at which states?


when looking at this, i.e. filtering for "full" games doesn't make sense, the inverse would make sense (games where space is left to join)

Re: SpringLobby 0.210 released!

Posted: 02 Feb 2015, 14:50
by Floris
it works for my purposes, but I thought I just noticed a change. I think...

Re: SpringLobby 0.210 released!

Posted: 03 Feb 2015, 09:25
by Usaga
Looks like my changes in filters made it work not the way users expected. Next release fixes this. Sorry guys...

Re: SpringLobby 0.210 released!

Posted: 03 Feb 2015, 17:47
by smoth
mistakes happen, fixing them is good, at least you tried!

Re: SpringLobby 0.217 released!

Posted: 08 Apr 2015, 11:48
by abma
releases 0.217 which (hopefully) fixes A LOT of remaining issues. i hope now all new bugs due to the switch to wx 3.0 have been fixed. also the code was heavily cleaned up so its became better maintainable!